[tor-commits] [builders/tor-browser-build] 32/32: Bug 40414: Add finished-signing-clean-*

gitolite role git at cupani.torproject.org
Wed Apr 20 09:39:09 UTC 2022


This is an automated email from the git hooks/post-receive script.

boklm pushed a commit to branch master
in repository builders/tor-browser-build.

commit da516e6bff8f1716ca07d2ac9acebd6922437aef
Author: Nicolas Vigier <boklm at torproject.org>
AuthorDate: Tue Apr 19 12:11:19 2022 +0200

    Bug 40414: Add finished-signing-clean-*
---
 tools/signing/finished-signing-clean-linux-signer | 14 ++++++++++++++
 tools/signing/finished-signing-clean-macos-signer | 14 ++++++++++++++
 2 files changed, 28 insertions(+)

diff --git a/tools/signing/finished-signing-clean-linux-signer b/tools/signing/finished-signing-clean-linux-signer
new file mode 100755
index 0000000..154babd
--- /dev/null
+++ b/tools/signing/finished-signing-clean-linux-signer
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+# Remove current tbb version from linux-signer. You should run this
+# when all signing has been done.
+
+set -e
+script_dir=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )
+source "$script_dir/functions"
+
+var_is_defined ssh_host_linux_signer tbb_version
+
+ssh "$ssh_host_linux_signer" 'bash -s' << EOF
+  test -n "$tbb_version" && rm -Rfv ~/"$tbb_version"
+EOF
diff --git a/tools/signing/finished-signing-clean-macos-signer b/tools/signing/finished-signing-clean-macos-signer
new file mode 100755
index 0000000..d44d779
--- /dev/null
+++ b/tools/signing/finished-signing-clean-macos-signer
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+# Remove current tbb version from macos-signer. You should run this
+# when all signing has been done.
+
+set -e
+script_dir=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )
+source "$script_dir/functions"
+
+var_is_defined ssh_host_macos_signer tbb_version
+
+ssh "$ssh_host_macos_signer" 'bash -s' << EOF
+  test -n "$tbb_version" && rm -Rfv ~/"$tbb_version"
+EOF

-- 
To stop receiving notification emails like this one, please contact
the administrator of this repository.


More information about the tor-commits mailing list